Subject: Re: Problems with pruning

From: Patric Hilgert <[email-masked]>
Date: Tue, 17 Dec 1996 14:46:04 +0100 (MET)

Hi Toerless,

we have tried to setup two mrouteds over ATM (fa0) as a multicast backbone
to connect two different ethernet ip-subnets. At one machine it seemed to be
that the mrouted ate all the memory. As a result the only thing that has been
done by this host was paging and swaping. We have had a look with atmarp and
saw that one svc has been established for each multicast group between both 
mrouteds. I assume that the switch thought there was a usual multicast 
application on the other side and distributed all multicast traffic to it 
without pruning for sure.
Therefore we disabled the physical interface fa0 (phyint <ip-address> disabled) at one mrouted and connected both mrouteds with a tunnel over qaa0 and 
everything works fine.

BTW, you can delete the multicast entry in your unicast routing table. Usually 
it is not necessary, except you would like to run another multicast application
beside the mrouted on this host.

Hope this helps a little bit,

Patric
-----------------------------------------------------
		   GMD TKT
Rheinstr. 75	64295 Darmstadt     Germany
	Tel.: 	++49-(0)6151-869-225
	Fax:  	++49-(0)6151-869-224
	email:	[email-masked]
	www:	http://www.darmstadt.gmd.de/~hilgert/
-----------------------------------------------------

> 
> Hi
> 
> we are experiencing pruning problems on an mrouted-mrouter:
> SunOS-5.5.1 (generic), sparcstation 10, multicast 3.5+, mrouted 3.8.
> The unicast kernel routing table contains for example the following
> entries:
> 
> 10.0.0.0             10.0.0.117            U        2      0  le0
> 129.187.53.0         129.187.53.117        U        2    199  qaa0
> 224.0.0.0            129.187.39.117        U        3      0  fa0
> default              129.187.53.254        UG       0   1224
> 
> i.e.: le0 (the built in ethernet) has multicasting disabled, the network
> on qaa0, where the default route points to has no multicast either, only
> fa0 (fore-ip subnetwork) has multicast enabled. The router is a mrouter
> with one uplink tunnel and a few other downlink tunnel
> 
> Problem: incoming traffic from the uplink tunnel get pruned on the
> downlink tunnels, but on fa0 the traffic is only pruned for groups in
> range 224.0.0.0 - 224.255.255.255, but not for example 239.X.Y.Z groups.
> 
> Q: Anybody seen this effect ? I was wondering if it might be a problem in
> solaris (224.0.0.0 in the routing table not meaning "all multicast routes")
> or a problem with the fore-ip interface fa0 (though i don't see how it
> can have an effect on pruning).
> 
> best regardS
> -- 
> Toerless Eckert
> Universitaet Erlangen Nuernberg
> RRZE / IMMD4
> Martensstrasse 1
> D-91058 Erlangen, Germany
> Tel.: +49 9131 85 7278
> FAX: +49 9131 85 8732
> [email-masked]
> /C=De/A=D400/P=Uni-Erlangen/OU=Informatik/S=Eckert/G=Toerless/
>